Last Comment Bug 334800 - [mr, mr-IN] Marathi: Firefox
: [mr, mr-IN] Marathi: Firefox
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All Linux
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
:
Mentors:
: 298986 455469 (view as bug list)
Depends on: 346829
Blocks: 406550
  Show dependency treegraph
 
Reported: 2006-04-20 03:52 PDT by Priti
Modified: 2013-02-20 09:53 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
mr-IN language pack for Mozilla-Firefox 1.5.0.1 (219.19 KB, application/x-xpinstall)
2006-04-27 03:40 PDT, Priti
l10n: review-
l10n: approval‑l10n-
dveditz: approval‑aviary1.0.8-
dveditz: approval1.8.0.2-
dveditz: approval1.8.0.3-
Details
Localization tree structure of chrome (234.29 KB, application/zip)
2006-07-13 03:04 PDT, Priti
l10n: approval‑l10n-
Details
Localization tree in mr-IN (535.84 KB, application/zip)
2006-08-01 02:17 PDT, Priti
l10n: review+
l10n: approval‑l10n+
Details
output of compare-locales (111.37 KB, text/plain)
2007-10-05 03:49 PDT, Axel Hecht [pto-Aug-30][:Pike]
no flags Details
All the translations of .dtd and .properties files completed except for module: /l10n/mr-IN/browser/installer. Waiting for review of the mr-IN localization tree. (148.18 KB, application/x-bzip)
2007-11-13 07:42 PST, sandeep shedmake
no flags Details
Includes files, with hex codes converted to utf-8 (71.16 KB, application/x-bzip)
2007-11-14 23:21 PST, Priti
no flags Details
mr-IN l10n tree update 1 (146.96 KB, application/x-bzip)
2007-11-16 04:10 PST, sandeep shedmake
l10n: review+
Details

Description Priti 2006-04-20 03:52:34 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; mr-IN; rv:1.8.0.1) Gecko/20060313 Debian/1.5.dfsg+1.5.0.1-4 Firefox/1.5.0.1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; mr-IN; rv:1.8.0.1) Gecko/20060313 Debian/1.5.dfsg+1.5.0.1-4 Firefox/1.5.0.1

I wish to start realizing a mr-IN language localization of the Mozilla client
applications. The guidelines say I should ask a CVS account to start an
official translation for Firefox: this is why I'm writing you.  



Reproducible: Couldn't Reproduce
Comment 1 Priti 2006-04-20 04:43:21 PDT
   *  the product you want to localize : Mozilla-firefox
    * the language + country code: mr-IN
    * your contact details (name + e-mail, web-page if available). 

Priti D. Patil

prithisd@gmail.com
Comment 2 Priti 2006-04-27 03:40:05 PDT
Created attachment 220002 [details]
mr-IN language pack for Mozilla-Firefox 1.5.0.1

Needs to install in Firefox 1.5.0.1 with reeot previleges
Comment 3 Priti 2006-04-27 03:42:14 PDT
Comment on attachment 220002 [details]
mr-IN language pack for Mozilla-Firefox 1.5.0.1

Please let me if anything else needs to be done to submit our work to upstream.

Language pack is fully tested with Firefox 1.5.0.1.
Comment 4 Axel Hecht [pto-Aug-30][:Pike] 2006-04-27 03:49:34 PDT
Stop it.

Please get rid of all those approval requests and start thinking of  what you want
to do. I seriously doubt that you want this language pack to be in Firefox 1.0.8.
Or anything like that.

This flag feast is just inpolite spam.
Comment 5 Daniel Veditz [:dveditz] 2006-04-27 11:34:56 PDT
Comment on attachment 220002 [details]
mr-IN language pack for Mozilla-Firefox 1.5.0.1

Please wait for reviews to ask for approval.
Comment 6 Axel Hecht [pto-Aug-30][:Pike] 2006-05-31 04:16:38 PDT
Comment on attachment 220002 [details]
mr-IN language pack for Mozilla-Firefox 1.5.0.1

We need a source localization for review, not a language pack.
Comment 7 Priti 2006-07-13 03:04:36 PDT
Created attachment 229066 [details]
Localization tree structure of chrome
Comment 8 Axel Hecht [pto-Aug-30][:Pike] 2006-07-21 04:33:49 PDT
Comment on attachment 229066 [details]
Localization tree structure of chrome

This is not a source, please read http://developer.mozilla.org/en/docs/Create_a_new_localization for details.
Comment 9 Priti 2006-08-01 02:17:55 PDT
Created attachment 231562 [details]
Localization tree in mr-IN

Axel,

Here is localization tree with translations. 

Please let me know issues, if any.

Priti Patil
janabhaaratii Team
C-DAC (formerly NCST)
Mumbai-21
I N D I A
Comment 10 Axel Hecht [pto-Aug-30][:Pike] 2006-08-01 03:41:12 PDT
OK, this looks like a decent starting point, Priti, please file a CVS account bug and make that block this bug.
Comment 11 Priti 2006-09-14 04:15:49 PDT
(In reply to comment #10)
> OK, this looks like a decent starting point, Priti, please file a CVS account
> bug and make that block this bug.
> 

I guess same set of translations can be utilized for both Mozilla suite and mozilla-firefox, so I should be able to make mr-IN l10n available for both upstream.

Two separate bugs needs to be filled for that?

Just a doubt !

Priti Patil
janabhaaratii
Centre for Development of Advanced Computing
(Formerly NCST)
8th Floor, Air India Building,
Nariman Point, Mumbai 400 021.
India.
Telephone: +91 22 2202 4641, +91 22 2283 6924
Fax: +91 22 2204 9573
Website: www.cdacmumbai.in, www.janabhaaratii.org.in
Comment 12 Axel Hecht [pto-Aug-30][:Pike] 2007-05-10 02:24:26 PDT
Localization of SeaMonkey is currently not in cvs, though the seamonkey folks are working on it. Just ignore that for now, that will happen automagically once the "suiterunner" project comes into reality. 
Comment 13 Gervase Markham [:gerv] 2007-09-19 02:31:50 PDT
On behalf of the Mozilla Project, I'd like to apologise for the delay in processing this request. We very much appreciate offers of help in localization.

If anyone reading this is still interested in helping to translate one or more Mozilla products into the language that this bug is about, please add a new comment to this bug to confirm your interest, saying again which products you would like to localize e.g., Firefox, Thunderbird. We will then make the necessary arrangements.
Comment 14 Axel Hecht [pto-Aug-30][:Pike] 2007-10-05 03:28:57 PDT
*** Bug 298986 has been marked as a duplicate of this bug. ***
Comment 15 Axel Hecht [pto-Aug-30][:Pike] 2007-10-05 03:48:04 PDT
I did another pass on the attachment 231562 [details], here's the output of compare-locales against the MOZILLA_1_8_BRANCH:

{'changed': 649,
 'keys': 637,
 'missing': {'browser': 230, 'toolkit': 439, 'total': 669},
 'missingFiles': {'browser': 22, 'toolkit': 1, 'total': 23},
 'obsolete': {'browser': 257, 'toolkit': 255, 'total': 512},
 'obsoleteFiles': {'browser': 20, 'toolkit': 7, 'total': 27},
 'tested': ['browser', 'toolkit'],
 'unchanged': 3047}
14% of entries changed

That means, in the existing files, we have over 600 missing strings; of those that exist, only 14% are translated. And we have 23 missing files. I'll attach a detailed log in a minute.

There seems to be well enough to do for anybody interested in contributing to the Marithi localization going forward.
Comment 16 Axel Hecht [pto-Aug-30][:Pike] 2007-10-05 03:49:04 PDT
Created attachment 283696 [details]
output of compare-locales
Comment 17 sandeep shedmake 2007-11-13 07:42:07 PST
Created attachment 288499 [details]
All the translations of .dtd and .properties files completed except for module: /l10n/mr-IN/browser/installer. Waiting for review of the mr-IN localization tree.

module extensions/spellcheck/myspell is dropped to fit the max. attachment file size of 300KB.
Comment 18 sandeep shedmake 2007-11-13 07:50:21 PST
Comment on attachment 288499 [details]
All the translations of .dtd and .properties files completed except for module: /l10n/mr-IN/browser/installer. Waiting for review of the mr-IN localization tree.

module: extensions/spellcheck/myspell  dropped to fit the attachment file size of 300KB
Comment 19 Priti 2007-11-14 21:19:39 PST
Sandeep, I presume that this is an incremental work and only strings those were left untranslated are translated now.

In the attached tarball of mr-IN l10n tree I found most of the translated strings in code format (\uxxx) rather than devanagari script. viz. browser module and mostly in .properties files.
Comment 20 Priti 2007-11-14 21:30:53 PST
Sandeep, you can get the corresponding files (with hex codes) converted to utf-8 format in the recent attachment (mr.tgz)
Comment 21 Priti 2007-11-14 23:21:42 PST
Created attachment 288800 [details]
Includes files, with hex codes converted to utf-8
Comment 22 sandeep shedmake 2007-11-16 04:10:15 PST
Created attachment 288988 [details]
mr-IN l10n tree update 1

updated preferences.properties, metaData.properties and browser.properties in /l10n/mr-IN/browser/chrome/browser/ module. Unicode values instead of marathi characters are seen no more. 

module extensions/spellcheck/myspell is dropped to fit the max. attachment file
size of 300KB.
Comment 23 Axel Hecht [pto-Aug-30][:Pike] 2007-11-22 08:37:44 PST
Comment on attachment 288988 [details]
mr-IN l10n tree update 1

This looks pretty good to me. I was able to create a language pack, run it.

Review nits: The search plugins in browser/searchplugins are not required, just list.txt is needed. In bookmarks.html, the links should say mr-IN instead of en-US, that's coming up twice per URL. Both browser/defines.inc and toolkit/defines.inc need to be localized for language packs to have the right description.

Make sure to not translate the .properties files in browser/installer, as we can't get to the right code pages for Indic languages anyway.

Priti, is this one good from your side?
Comment 24 Priti 2007-11-22 21:00:21 PST
Axel, apparently seems to be ok with me. Good finishing touch Sandeep :-)
Comment 25 Axel Hecht [pto-Aug-30][:Pike] 2007-11-23 09:27:44 PST
Great.

Leaves me with two questions. We generally prefer short locale names to long ones, i.e. 'mr' to 'mr-IN'. I've been trying to make some sense out of the Marathi page on wikipedia, to no avail. Would it be a good idea to just use 'mr'? I know that traditionally, Indic languages liked to use the '-IN', but for example Punjabi is moving the other way around just now.

The other question is, priti, does your account work these days? If we decide on the locale code, I could do the initial commit, as that's usually carrying the most risk of failure, and is hardest to fix.
Comment 26 sandeep shedmake 2007-11-27 23:18:23 PST
Hi Pike,

        Since locale is an identifier referring to linguistic and cultural preferences, I believe in using <language code>-<region code> locale representation. Additionally, its hard to prove that Marathi is not spoken outside India and thereby around 25 languages spoken in India, I feel comfortable in keeping similar naming style "<language code>-IN" (like for other Indic languages).

        I guess the initial commit be done from your side. Also, to maintain the translations once they are upstream within the Mozilla repository, I would require to commit my availability for the maintenace work. Henceforth, Pike how can I request for a cvs access?


Comment 27 Priti 2007-11-28 01:16:05 PST
Pike, sorry for late reply.

My CVS a/c doesn't work now a days, I guess. Since it's throwing "failed: Connection timed out" error.

Comment 28 sandeep shedmake 2008-01-03 01:42:04 PST
Hello Pike

          Happy New Year.

          With respect to bug id 406550, how can i request you to import my translations initially into CVS ?
Comment 29 sandeep shedmake 2008-01-04 03:35:29 PST
Hi Pike, 

        Since there is no difference between Marathi spoken outside of India and one in India, its ok if You want to keep locale 'mr' instead of 'mr-IN' like in http://mr.wikipedia.org/
Comment 30 Axel Hecht [pto-Aug-30][:Pike] 2008-01-04 04:33:31 PST
Ok, initial landing is done, I'll file the follow up bugs soon.

I updated http://wiki.mozilla.org/L10n:Teams:mr (and moved it), I hope you guys are fine with those edits. I condensed the information a bit so that it won't take too much space on http://wiki.mozilla.org/L10n:Localization_Teams.

http://l10n.mozilla.org/buildbot/waterfall is going to pick up changes and create new language packs to test.

Resolving FIXED, congratulations.
Comment 31 Axel Hecht [pto-Aug-30][:Pike] 2008-09-03 02:22:27 PDT
Comment on attachment 288800 [details]
Includes files, with hex codes converted to utf-8

Cancelling old review requests.
Comment 32 Axel Hecht [pto-Aug-30][:Pike] 2008-09-16 02:20:32 PDT
*** Bug 455469 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.